/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.AutorizacionPerfilDAO;
import com.rjconsultores.ventaboletos.entidad.Autorizacion;
import com.rjconsultores.ventaboletos.entidad.AutorizacionPerfil;
import com.rjconsultores.ventaboletos.entidad.Perfil;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("autorizacionPerfilDAO")
public class AutorizacionPerfilHibernateDAO extends GenericHibernateDAO<AutorizacionPerfil, Integer>
        implements AutorizacionPerfilDAO {

    @Autowired
    public AutorizacionPerfilHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<AutorizacionPerfil> buscar(Autorizacion autorizacion, Perfil perfil) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.add(Restrictions.eq("autorizacion", autorizacion));
        c.add(Restrictions.eq("perfil", perfil));

        return c.list();
    }
}
